## org.apache.xerces.impl.xs.psvi
Interface XSParticle

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  XSParticleDecl

public interface XSParticle
extends XSObject

This interface represents the Particle schema component. The interface may be updated or replaced.

Method Summary
`int` `getMaxOccurs()` [max occurs] determines the maximum number of terms that can occur.
`boolean` `getMaxOccursUnbounded()` [max occurs] whether the maxOccurs value is unbounded.
`int` `getMinOccurs()` [min occurs]: determines the minimum number of terms that can occur.
`XSTerm` `getTerm()` [term]: one of a model group, a wildcard, or an element declaration.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getMinOccurs

    public int getMinOccurs()

  [min occurs]: determines the minimum number of terms that can occur.

### getMaxOccurs

    public int getMaxOccurs()

  [max occurs] determines the maximum number of terms that can occur. To query for value of unbounded use `maxOccursUnbounded`.

### getMaxOccursUnbounded

    public boolean getMaxOccursUnbounded()

  [max occurs] whether the maxOccurs value is unbounded.

### getTerm

    public XSTerm getTerm()

  [term]: one of a model group, a wildcard, or an element declaration.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.